const App = () => {
    ...
	const updatePainting = (modifiedPainting) => {
	    // create a shallow copy of the array
	    const updatedList = [...paintings];
	    // find the painting to modify
	    const index =
		  updatedList.findIndex( p => p.id == modifiedPainting.id);
	    // replace it
	    updatedList[index] = modifiedPainting;
	    // update state
	    setPaintings(updatedList);
	    setCurrentPainting(modifiedPainting);
	}
    return (
	    <article className="app">
	    ...
	    <EditPaintingForm current={currentPainting}
	update={updatePainting} />
	    </article>
    );
}
const EditPaintingForm = (props) => {
    ...
	// handler called when user changes a form value
    const handleInputChange = (e) => {
	// create a shallow copy of the object
	const modifiedPainting = {...props.current};
	// get the name and value of the form element that called this handler
	const {name, value} = e.target;
	// change the painting property using bracket notation
	modifiedPainting[name] = value;
	// now tell the parent to update the painting data with this new data
	props.update(modifiedPainting);
    }
    const {id,title,artist,year} = props.current;
    return (
	    <section className="paintingForm">
	    <input type="text" name="title" value={title}
	onChange={ handleInputChange } />
	    <input type="text" name="artist" value={artist}
	onChange={ handleInputChange } />
	    ...
	    </section>
    );
}
