const path = require("path");
const express = require("express");
const app = express();
const options = {
    // maps root requests (e.g. "/") to subfolder named "public"
    root: path.join(__dirname, "public")
};
// With express, you define handlers for routes.
app.get("/:filename", (req, resp) => {
    resp.sendFile(req.params.filename, options, (err) => {
	if (err) {
	    console.log(err);
	    resp.status(404).send("File Not Found");
	}
	else {
	    console.log("Sent:", req.params.filename);
	}
    });
});
app.listen(8080, () => {
    console.log("Example express file server listening on port 8080");
});
