// return all the companies if a root request arrives
app.get('/', (req,resp) => { resp.json(companies) } );
// return just the requested company, e.g., /companies/amzn
app.get('/companies/:symbol', (req,resp) => {
    // change user supplied symbol to upper case
    const symbolToFind = req.params.symbol.toUpperCase();
    // search the array of objects for a match
    const matches =
	  companies.filter(obj => symbolToFind === obj.symbol);
    // return the matching company
    resp.json(matches);
});
// return companies whose name contains the supplied text,
// e.g, /companies/name/dat
app.get('/companies/name/:substring', (req,resp) => {
    // change user supplied substring to lower case
    const substring = req.params.substring.toLowerCase();
    // search the array of objects for a match
    const matches = companies.filter( (obj) =>
	obj.name.toLowerCase().includes(substring) );
    // return the matching companies
    resp.json(matches);
});
