const path = require("path");
const express = require("express");
const app = express();
const http = require("http").createServer (app);
const io = require("socket.io")(http);
// handle requests for static resources
app.use("/static", express.static(path.join(__dirname, "public")));
// every time we receive a root get request, send the chat client
app.get("/", (req, res) => {
    res.sendFile( __dirname + "/public/chat-client.html");
});
// handles all WebSocket events, each client will be given a
// unique socket
io.on("connection", (socket) => {
    // client has sent a username message (message names can be
    // any valid string)
    socket.on("username", (msg) => {
	// save username for this socket
	socket.username = msg;
	// broadcast message to all connected clients
	const obj = { user: socket.username, message: msg };
	io.emit("user joined", obj );
    });
    // client has sent a chat message . . . broadcast it
    socket.on("chat from client", (msg) => {
	const obj = { user: socket.username, message: msg };
	io.emit("chat from server", obj);
    });
});
http.listen(7000, () => {
    console.log("listening on *:7000");
});
